EndpointsRounds

List round episodes

GET/v2/rounds/{round_id}/episodes

Return a paginated list of episodes associated with one visible round.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

round_id*Round Id

Round associated with the requested resource.

Match^round_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

limit?Limit

Maximum episodes to return.

Range1 <= value <= 1000
Default50
cursor?|

Cursor returned by the previous page.

completed_only?Completed Only

Return only completed episode requests.

Defaultfalse
curl -X GET "https://softmax.com/api/observatory/v2/rounds/string/episodes"
{  "entries": [    {      "id": "string",      "inspect_url": "string",      "episode_id": "a7b62598-1927-4181-99d5-5d746c0bbcfe",      "coworld_id": "string",      "coworld_name": "string",      "coworld_version": "string",      "variant_name": "string",      "job_index": 0,      "status": "pending",      "policy_version_ids": [        "de6640ed-6e83-4f61-9613-b56ec10dde91"      ],      "participants": [        {          "position": 0,          "kind": "policy",          "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446",          "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04",          "policy_name": "string",          "version": 0,          "player_id": "string",          "player_name": "string",          "owner_name": "string",          "is_filler": false,          "is_seed": false        }      ],      "replay_url": "string",      "live_url": "string",      "error_type": "string",      "error": "string",      "failed_policy_index": 0,      "failed_agent_index": 0,      "scores": [        {          "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446",          "score": 0        }      ],      "participant_scores": [        {          "position": 0,          "score": 0        }      ],      "created_at": "2019-08-24T14:15:22Z",      "dispatched_at": "2019-08-24T14:15:22Z",      "running_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}